package com.waimai.web.admin.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.waimai.common.annotation.Excel;
import com.waimai.common.core.domain.BaseEntity;

/**
 * 食品分类对象 food_category
 * 
 * @author callmeyan
 * @date 2023-03-31
 */
public class FoodCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 食品分类编号 */
    private Long id;

    /** 分类标题 */
    @Excel(name = "分类标题")
    private String title;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 分类图片 */
    @Excel(name = "分类图片")
    private String cover;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCover(String cover) 
    {
        this.cover = cover;
    }

    public String getCover() 
    {
        return cover;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("sort", getSort())
            .append("cover", getCover())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("remark", getRemark())
            .toString();
    }
}
